#ifndef SPININFO_H
#define SPININFO_H

#include "definitions.h"
#include "SamArray.h"
#include "StringManipulation.h"
#include <string>
#include <vector>
#ifdef USE_ARMA
#include <armadillo>
#endif
#ifdef USE_POLYMATH
#include <Polymath.h>
#endif

int stringCheck(const std::string &stringToCheck);

struct SpinInfo
{
    CX_MAT jCouplings;
    CX_VEC gammas;
    static SpinInfo ParseJCouplingsAndGammas(std::vector<std::string> jCouplingsLines, std::vector<std::string> gammaLines);
};




#endif // SPININFO_H
